%define upstream_name    IPC-PubSub
%define upstream_version 0.29

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Interprocess Publish/Subscribe channels
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DBM::Deep)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Storable)
BuildRequires: perl(Time::HiRes)
BuildArch: noarch

%description
This module provides a simple API for publishing messages to _channels_ and
for subscribing to them.

When a _message_ is published on a channel, all subscribers currently in
that channel will get it on their next 'get' or 'get_all' call.

Currently, it offers four backends: 'DBM_Deep' for on-disk storage,
'Memcached' for possibly multi-host storage, 'Jifty::DBI' for
database-backed storage, and 'PlainHash' for single-process storage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.290.0-3.mga4
+ Revision: 512348
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 368641
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 22 2011 jquelin <jquelin> 0.290.0-1.mga2
+ Revision: 112164
- imported package perl-IPC-PubSub


* Wed Jun 22 2011 cpan2dist 0.29-1mga
- initial mageia release, generated with cpan2dist
